﻿:root {
    --acell-red: #f73101;
    --acell-light-red: #ffadad;
    --acell-dark-red: #c02500;
    --acell-gray: #303B42;
    --acell-light-gray: #f2f2f2;
}

html, body {
    height: 100%;
    overflow: hidden;
}

.logo {
    max-width: 100px;
}

.simple-layout.logo {
    max-width: 200px;
    margin-bottom: 15px;
}

.logo img {
    width: 100%;
    height: auto;
}

.btn-primary {
    background-color: var(--acell-red);
    border-color: var(--acell-red);
    color: white !important;
}

.btn-primary:is(:hover, :active, :focus) {
    background-color: var(--acell-dark-red) !important;
    border-color: var(--acell-dark-red) !important;
}

.spinner-grow {
    color: var(--acell-red);
    width: 4rem;
    height: 4rem;
}

.nav-pills .nav-link {
    color: rgba(0, 0, 0, 0.55);
}

.nav-pills .nav-link:hover {
    color: black;
}

.nav-pills .nav-link.active {
    background-color: var(--acell-red);
    color: white !important;
}

#addDocumentoModal #drop-zone {
    height: 200px;
    background-color: #ECECEC;
    border: 5px solid #303B42;
    border-radius: 10px;
}

#addDocumentoModal #drop-zone > div i {
    font-size: 5rem;
    text-align:center;
}

.document-status .success i {
    color: green;
}

.document-status .warning i {
    color: orange;
}

.document-status .danger i {
    color: red;
}

.document-expiration {
    margin-left: 20px;
    font-weight: bold;
}

.btn-outline-acell {
    --bs-btn-color: var(--acell-red);
    --bs-btn-border-color: var(--acell-red);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: var(--acell-red);
    --bs-btn-hover-border-color: var(--acell-red);
    --bs-btn-focus-shadow-rgb: 220,53,69;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--acell-red);
    --bs-btn-active-border-color: var(--acell-red);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: var(--acell-red);
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: var(--acell-red);
    --bs-gradient: none;
}

.loading-skeleton h1, .loading-skeleton h2, .loading-skeleton h3, .loading-skeleton h4, .loading-skeleton h5, .loading-skeleton h6,
.loading-skeleton p, .loading-skeleton li,
.loading-skeleton .btn,
.loading-skeleton label,
.loading-skeleton .form-control, .loading-skeleton span, .loading-skeleton td {
    color: transparent;
    appearance: none;
    -webkit-appearance: none;
    background-color: #eee;
    border-color: #eee;
}

.loading-skeleton h1::placeholder, .loading-skeleton h2::placeholder, .loading-skeleton h3::placeholder, .loading-skeleton h4::placeholder, .loading-skeleton h5::placeholder, .loading-skeleton h6::placeholder,
.loading-skeleton p::placeholder, .loading-skeleton li::placeholder,
.loading-skeleton .btn::placeholder,
.loading-skeleton label::placeholder,
.loading-skeleton .form-control::placeholder {
    color: transparent;
}

@keyframes loading-skeleton {
    from {
        opacity: 0.4;
    }

    to {
        opacity: 1;
    }
}

.loading-skeleton {
    pointer-events: none;
    animation: loading-skeleton 1s infinite alternate;
}

.loading-skeleton img {
    filter: grayscale(100) contrast(0%) brightness(1.8);
}